Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.eclipse.jetty.security
Enum UserDataConstraint

    java.lang.Object
      java.lang.Enum<UserDataConstraint>
          org.eclipse.jetty.security.UserDataConstraint

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<UserDataConstraint>

    public enum UserDataConstraint

extends java.lang.Enum<UserDataConstraint>

Version:
  $Rev: 4466 $ $Date: 2009-02-10 23:42:54 +0100 (Tue, 10 Feb 2009) $

Enum Constant Summary
`Confidential`
`Integral`
`None`

Method Summary
`UserDataConstraint` | `combine(UserDataConstraint other)`
`static UserDataConstraint` | `get(int dataConstraint)`
`static UserDataConstraint` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static UserDataConstraint[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### None

    public static final UserDataConstraint None

### Integral

    public static final UserDataConstraint Integral

### Confidential

    public static final UserDataConstraint Confidential

Method Detail

### values

    public static UserDataConstraint[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (UserDataConstraint c : UserDataConstraint.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static UserDataConstraint valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### get

    public static UserDataConstraint get(int dataConstraint)

### combine

    public UserDataConstraint combine(UserDataConstraint other)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.